org.gradle.api.publish.tasks

## Class GenerateModuleMetadata

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.publish.tasks.GenerateModuleMetadata

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class GenerateModuleMetadata
      extends DefaultTask

  Generates a Gradle metadata file to represent a published `SoftwareComponent` instance.
  Since:
    4.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateModuleMetadata()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.gradle.internal.scopeids.id.BuildInvocationScopeId` | `getBuildInvocationScopeId()` Returns the `BuildInvocationScopeId` to use for generation.
    `protected org.gradle.api.internal.file.FileCollectionFactory` | `getFileCollectionFactory()` Returns the `FileCollectionFactory` to use for generation.
    `RegularFileProperty` | `getOutputFile()` Returns the output file location.
    `protected org.gradle.api.publish.internal.ProjectDependencyPublicationResolver` | `getProjectDependencyPublicationResolver()` Returns the `ProjectDependencyPublicationResolver` to use for generation.
    `Property<Publication>` | `getPublication()` Returns the publication to generate the metadata file for.
    `ListProperty<Publication>` | `getPublications()` Returns the publications of the current project, used in generation to connect the modules of a component together.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateModuleMetadata

          public GenerateModuleMetadata()

  - ### Method Detail

    - #### getPublication

          @Internal
          public Property<Publication> getPublication()

      Returns the publication to generate the metadata file for.

    - #### getPublications

          @Internal
          public ListProperty<Publication> getPublications()

      Returns the publications of the current project, used in generation to connect the modules of a component together.
      Since:
        4.4

    - #### getFileCollectionFactory

          @Inject
          protected org.gradle.api.internal.file.FileCollectionFactory getFileCollectionFactory()

      Returns the `FileCollectionFactory` to use for generation.
      Since:
        4.4

    - #### getBuildInvocationScopeId

          @Inject
          protected org.gradle.internal.scopeids.id.BuildInvocationScopeId getBuildInvocationScopeId()

      Returns the `BuildInvocationScopeId` to use for generation.
      Since:
        4.4

    - #### getProjectDependencyPublicationResolver

          @Inject
          protected org.gradle.api.publish.internal.ProjectDependencyPublicationResolver getProjectDependencyPublicationResolver()

      Returns the `ProjectDependencyPublicationResolver` to use for generation.
      Since:
        4.4

    - #### getOutputFile

          @OutputFile
          public RegularFileProperty getOutputFile()

      Returns the output file location.